Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Update an existing prompt’s configuration, messages, or model settings. Changes create a new version while preserving the version history.
curl --request PATCH \
--url https://api.orq.ai/v2/prompts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "<string>",
"updated": "<string>",
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"description": "<string>",
"prompt": {
"model": "anthropic/claude-3-5-sonnet-20241022",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant"
},
{
"role": "user",
"content": "Hello!"
}
],
"temperature": 0.5
},
"metadata": {
"language": "English"
},
"path": "Default"
}
'{
"_id": "<string>",
"type": "prompt",
"owner": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "<string>",
"updated": "<string>",
"display_name": "<string>",
"prompt": {
"name": "<string>",
"audio": {
"voice": "alloy",
"format": "wav"
},
"frequency_penalty": 123,
"max_tokens": 123,
"max_completion_tokens": 123,
"logprobs": true,
"top_logprobs": 10,
"n": 2,
"presence_penalty": 123,
"response_format": {
"type": "text"
},
"reasoning_effort": "none",
"verbosity": "<string>",
"seed": 123,
"stop": "<string>",
"stream_options": {
"include_usage": true
},
"thinking": {
"type": "disabled"
},
"temperature": 1,
"top_p": 0.5,
"top_k": 123,
"tool_choice": "none",
"parallel_tool_calls": true,
"modalities": [
"text"
],
"guardrails": [
{
"id": "orq_pii_detection",
"execute_on": "input"
}
],
"fallbacks": [
{
"model": "openai/gpt-4o-mini"
}
],
"retry": {
"count": 3,
"on_codes": [
429,
500,
502,
503,
504
]
},
"cache": {
"type": "exact_match",
"ttl": 3600
},
"load_balancer": {
"type": "weight_based",
"models": [
{
"model": "openai/gpt-4o",
"weight": 0.7
},
{
"model": "anthropic/claude-3-5-sonnet",
"weight": 0.3
}
]
},
"timeout": {
"call_timeout": 30000
},
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"model": "openai/gpt-4o",
"version": "<string>"
},
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"prompt_config": {
"messages": [
{
"role": "system",
"content": "<string>",
"tool_calls": [
{
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"id": "<string>",
"index": 123
}
],
"tool_call_id": "<string>"
}
],
"stream": true,
"model": "<string>",
"model_db_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_type": "chat",
"model_parameters": {
"temperature": 123,
"maxTokens": 123,
"topK": 123,
"topP": 123,
"frequencyPenalty": 123,
"presencePenalty": 123,
"numImages": 123,
"seed": 123,
"format": "url",
"dimensions": "<string>",
"quality": "<string>",
"style": "<string>",
"responseFormat": {
"type": "json_schema",
"json_schema": {
"name": "<string>",
"schema": {},
"description": "<string>",
"strict": true
},
"display_name": "<string>"
},
"photoRealVersion": "v1",
"encoding_format": "float",
"reasoningEffort": "none",
"budgetTokens": 123,
"verbosity": "low",
"thinkingLevel": "low"
},
"provider": "openai",
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>"
},
"metadata": {
"language": "English"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier of the prompt
The prompt’s name, meant to be displayable in the UI.
128The prompt’s description, meant to be displayable in the UI. Use this field to optionally store a long form explanation of the prompt for your own purpose
Prompt configuration with model and messages. Use this to update the prompt.
Show child attributes
{
"model": "anthropic/claude-3-5-sonnet-20241022",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant"
},
{ "role": "user", "content": "Hello!" }
],
"temperature": 0.5
}
Show child attributes
Entity storage path in the format: project/folder/subfolder/...
The first element identifies the project, followed by nested folders (auto-created as needed).
With project-based API keys, the first element is treated as a folder name, as the project is predetermined by the API key.
"Default"
Prompt updated.
A prompt entity with configuration, metadata, and versioning.
prompt The prompt’s name, meant to be displayable in the UI.
128Prompt configuration with model and messages. Use this instead of prompt_config.
Show child attributes
The prompt’s description, meant to be displayable in the UI. Use this field to optionally store a long form explanation of the prompt for your own purpose
[DEPRECATED] Use the prompt property instead. A list of messages compatible with the openAI schema.
Show child attributes
Show child attributes
Was this page helpful?
curl --request PATCH \
--url https://api.orq.ai/v2/prompts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "<string>",
"updated": "<string>",
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"description": "<string>",
"prompt": {
"model": "anthropic/claude-3-5-sonnet-20241022",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant"
},
{
"role": "user",
"content": "Hello!"
}
],
"temperature": 0.5
},
"metadata": {
"language": "English"
},
"path": "Default"
}
'{
"_id": "<string>",
"type": "prompt",
"owner": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "<string>",
"updated": "<string>",
"display_name": "<string>",
"prompt": {
"name": "<string>",
"audio": {
"voice": "alloy",
"format": "wav"
},
"frequency_penalty": 123,
"max_tokens": 123,
"max_completion_tokens": 123,
"logprobs": true,
"top_logprobs": 10,
"n": 2,
"presence_penalty": 123,
"response_format": {
"type": "text"
},
"reasoning_effort": "none",
"verbosity": "<string>",
"seed": 123,
"stop": "<string>",
"stream_options": {
"include_usage": true
},
"thinking": {
"type": "disabled"
},
"temperature": 1,
"top_p": 0.5,
"top_k": 123,
"tool_choice": "none",
"parallel_tool_calls": true,
"modalities": [
"text"
],
"guardrails": [
{
"id": "orq_pii_detection",
"execute_on": "input"
}
],
"fallbacks": [
{
"model": "openai/gpt-4o-mini"
}
],
"retry": {
"count": 3,
"on_codes": [
429,
500,
502,
503,
504
]
},
"cache": {
"type": "exact_match",
"ttl": 3600
},
"load_balancer": {
"type": "weight_based",
"models": [
{
"model": "openai/gpt-4o",
"weight": 0.7
},
{
"model": "anthropic/claude-3-5-sonnet",
"weight": 0.3
}
]
},
"timeout": {
"call_timeout": 30000
},
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"model": "openai/gpt-4o",
"version": "<string>"
},
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"prompt_config": {
"messages": [
{
"role": "system",
"content": "<string>",
"tool_calls": [
{
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"id": "<string>",
"index": 123
}
],
"tool_call_id": "<string>"
}
],
"stream": true,
"model": "<string>",
"model_db_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_type": "chat",
"model_parameters": {
"temperature": 123,
"maxTokens": 123,
"topK": 123,
"topP": 123,
"frequencyPenalty": 123,
"presencePenalty": 123,
"numImages": 123,
"seed": 123,
"format": "url",
"dimensions": "<string>",
"quality": "<string>",
"style": "<string>",
"responseFormat": {
"type": "json_schema",
"json_schema": {
"name": "<string>",
"schema": {},
"description": "<string>",
"strict": true
},
"display_name": "<string>"
},
"photoRealVersion": "v1",
"encoding_format": "float",
"reasoningEffort": "none",
"budgetTokens": 123,
"verbosity": "low",
"thinkingLevel": "low"
},
"provider": "openai",
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>"
},
"metadata": {
"language": "English"
}
}